# Fork Sand USB Firewall
See this repo for current development:

* https://code.forksand.com/forksand/usb-firewall

# USB Firewall Fork
Fork Sand fork of the Globotron USG v1.0 Hardware Firewall.

* https://globotron.nz/collections/frontpage/products/usg-v1-0-hardware-usb-firewall

* https://github.com/robertfisk/USG/

![fs-usb-firewall-sm](pics/fs-usb-firewall-sm.jpg)
Photo of Fork Sand, Inc. manufactured fork.

# Upstream
See below for upstream README.

## The USG is Good, not Bad
The USG is a firewall for your USB ports, protecting your computer from [BadUSB](https://srlabs.de/badusb/). It connects between your computer and your untrusted USB device, isolating the badness and keeping your computer safe.

#### For more info, hit [the Wiki](https://github.com/robertfisk/USG/wiki).

## v1.0 Firmware
This is the firmware branch for the pre-assembled USG v1.0. If you want to build your own USG out of development boards, clone the [v0.9 branch](https://github.com/robertfisk/USG/tree/USG_0.9) instead.

## USG v1.0 hardware
The USG v1.0 is available now from the [online store.](https://globotron.nz/)

![](https://github.com/robertfisk/USG/raw/USG_0.9/Doc_images/USG.jpg)

## Need More Speed?
The USG is performance-limited due to its USB 1 hardware. If you need to transfer large files from flash drives and hard drives, you need [the Armadillo](https://globotron.nz/products/armadillo-hardware-usb-firewall) instead. Based on the USG's proven open-source technology, the Armadillo is a next-gen device operating at USB 2.0 speed. Available exclusively through the [online store.](https://globotron.nz/products/armadillo-hardware-usb-firewall)

![](https://github.com/robertfisk/USG/blob/USG_0.9/Doc_images/Armadillo_image_1.jpg)
